Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class CustomerGateway

    java.lang.Object
      com.amazonaws.services.ec2.model.CustomerGateway

    public class CustomerGateway

extends Object

The CustomerGateway data type.

Constructor Summary
`CustomerGateway()`

Method Summary
`String` | `getBgpAsn()` Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
`String` | `getCustomerGatewayId()` Specifies the ID of the customer gateway.
`String` | `getIpAddress()` Contains the Internet-routable IP address of the customer gateway's outside interface.
`String` | `getState()` Describes the current state of the customer gateway.
`String` | `getType()` Specifies the type of VPN connection the customer gateway supports.
`void` | `setBgpAsn(String bgpAsn)` Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
`void` | `setCustomerGatewayId(String customerGatewayId)` Specifies the ID of the customer gateway.
`void` | `setIpAddress(String ipAddress)` Contains the Internet-routable IP address of the customer gateway's outside interface.
`void` | `setState(String state)` Describes the current state of the customer gateway.
`void` | `setType(String type)` Specifies the type of VPN connection the customer gateway supports.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`CustomerGateway` | `withBgpAsn(String bgpAsn)` Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
`CustomerGateway` | `withCustomerGatewayId(String customerGatewayId)` Specifies the ID of the customer gateway.
`CustomerGateway` | `withIpAddress(String ipAddress)` Contains the Internet-routable IP address of the customer gateway's outside interface.
`CustomerGateway` | `withState(String state)` Describes the current state of the customer gateway.
`CustomerGateway` | `withType(String type)` Specifies the type of VPN connection the customer gateway supports.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CustomerGateway

    public CustomerGateway()

Method Detail

### getCustomerGatewayId

    public String getCustomerGatewayId()

  Specifies the ID of the customer gateway.

  Returns:
    Specifies the ID of the customer gateway.

### setCustomerGatewayId

    public void setCustomerGatewayId(String customerGatewayId)

  Specifies the ID of the customer gateway.

  Parameters:
    `customerGatewayId` - Specifies the ID of the customer gateway.

### withCustomerGatewayId

    public CustomerGateway withCustomerGatewayId(String customerGatewayId)

  Specifies the ID of the customer gateway.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `customerGatewayId` - Specifies the ID of the customer gateway.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getState

    public String getState()

  Describes the current state of the customer gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Returns:
    Describes the current state of the customer gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

### setState

    public void setState(String state)

  Describes the current state of the customer gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Parameters:
    `state` - Describes the current state of the customer gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

### withState

    public CustomerGateway withState(String state)

  Describes the current state of the customer gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `state` - Describes the current state of the customer gateway. Valid values are `pending`, `available`, `deleting`, and `deleted`.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getType

    public String getType()

  Specifies the type of VPN connection the customer gateway supports.

  Returns:
    Specifies the type of VPN connection the customer gateway supports.

### setType

    public void setType(String type)

  Specifies the type of VPN connection the customer gateway supports.

  Parameters:
    `type` - Specifies the type of VPN connection the customer gateway supports.

### withType

    public CustomerGateway withType(String type)

  Specifies the type of VPN connection the customer gateway supports.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `type` - Specifies the type of VPN connection the customer gateway supports.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getIpAddress

    public String getIpAddress()

  Contains the Internet-routable IP address of the customer gateway's outside interface.

  Returns:
    Contains the Internet-routable IP address of the customer gateway's outside interface.

### setIpAddress

    public void setIpAddress(String ipAddress)

  Contains the Internet-routable IP address of the customer gateway's outside interface.

  Parameters:
    `ipAddress` - Contains the Internet-routable IP address of the customer gateway's outside interface.

### withIpAddress

    public CustomerGateway withIpAddress(String ipAddress)

  Contains the Internet-routable IP address of the customer gateway's outside interface.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `ipAddress` - Contains the Internet-routable IP address of the customer gateway's outside interface.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### getBgpAsn

    public String getBgpAsn()

  Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

  Returns:
    Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

### setBgpAsn

    public void setBgpAsn(String bgpAsn)

  Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

  Parameters:
    `bgpAsn` - Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

### withBgpAsn

    public CustomerGateway withBgpAsn(String bgpAsn)

  Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `bgpAsn` - Specifies the customer gateway's Border Gateway Protocol (BGP) Autonomous System Number (ASN).
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.